Bug 1304052 - Review Request: python-sphinx-argparse - Automatic Sphinx documentation for argparse
Review Request: python-sphinx-argparse - Automatic Sphinx documentation for a...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 13:18 EST by Brian Lane
Modified: 2016-11-19 11:27 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-19 11:27:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Brian Lane 2016-02-02 13:18:12 EST
Spec URL: https://bcl.fedorapeople.org/python-sphinx-argparse/python-sphinx-argparse.spec
SRPM URL: https://bcl.fedorapeople.org/python-sphinx-argparse/python-sphinx-argparse-0.1.15-1.fc24.src.rpm
Description: Sphinx extension that automatically documents argparse commands and options
Fedora Account System Username: bcl
Comment 1 David Shea 2016-02-02 16:39:13 EST
Two things:

Easy: 
In each %description, s/document/documents/. Summary is correct.

Less easy:
There are tests, but they're not hooked up to setup.py, so %check doesn't do anything. Adding pytest and running py.test seems to work fine. Adding python3-pytest and running py.test-3 works less fine, since apparently test_parser depends on a hardcoded value for argv[0]. The quick and dirty solution of replacing the four py.test instances in test_parser.py with os.path.basename(sys.argv[0]) seems to work but I haven't thought real hard about how that might break something else, so I don't know how you want to handle that.

All the other stuff from fedora-review looks fine. Here it is!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 8 files have
     unknown license. Detailed output of licensecheck in
     /home/dshea/1304052-python-sphinx-argparse/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python2
     -sphinx-argparse , python3-sphinx-argparse
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass. (see above comment)
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-sphinx-argparse-0.1.15-1.fc24.noarch.rpm
          python3-sphinx-argparse-0.1.15-1.fc24.noarch.rpm
          python-sphinx-argparse-0.1.15-1.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-sphinx-argparse (rpmlib, GLIBC filtered):
    python(abi)
    python-sphinx

python3-sphinx-argparse (rpmlib, GLIBC filtered):
    python(abi)
    python3-sphinx



Provides
--------
python2-sphinx-argparse:
    python-sphinx-argparse
    python2-sphinx-argparse

python3-sphinx-argparse:
    python3-sphinx-argparse



Source checksums
----------------
https://github.com/ribozz/sphinx-argparse/archive/0.1.15.tar.gz :
  CHECKSUM(SHA256) this package     : a4816097ff39c0167ddbbbb561b8f83d64379e9e46c5ff1cab08cad71edf4d33
  CHECKSUM(SHA256) upstream package : a4816097ff39c0167ddbbbb561b8f83d64379e9e46c5ff1cab08cad71edf4d33


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1304052
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Brian Lane 2016-02-02 17:45:58 EST
Spec URL: https://bcl.fedorapeople.org/python-sphinx-argparse/python-sphinx-argparse.spec
SRPM URL: https://bcl.fedorapeople.org/python-sphinx-argparse/python-sphinx-argparse-0.1.15-2.fc24.src.rpm

Upstream actually uses tox to test things, but that installs in a virtualenv so I don't think it's suitable for a %check. I'm just going to drop that part instead of trying to mangle the code into shape.
Comment 3 David Shea 2016-02-03 10:57:03 EST
Fine by me.
Comment 4 Gwyn Ciesla 2016-02-05 11:19:41 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-sphinx-argparse

Note You need to log in before you can comment on or make changes to this bug.